Bug Hunting Session
Bug 123913 - FILESAVE DOC DOCX Junicode font does not retain "Bold" setting in styles settings (see comment 2)
Summary: FILESAVE DOC DOCX Junicode font does not retain "Bold" setting in styles sett...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc, filter:docx
Depends on:
Blocks: Fonts DOC-Styles
  Show dependency treegraph
 
Reported: 2019-03-07 05:11 UTC by JesseSteele
Modified: 2019-04-20 14:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JesseSteele 2019-03-07 05:11:04 UTC
Description:
I created a new style and set "Junicode" as the font, then set the font style to "Bold". Everything works great in the file and in global formatting, but when I save, close, then re-open the file, "Junicode" is set to "Regular" throughout the document, its "Bold" setting in the styles is set to "Regular", and I must change the setting back to "Bold" in the styles settings (RC > Modify...) for it to render correctly again.

Steps to Reproduce:
1. Set "Junicode" with "Bold" as the font for a new "style" in the "Font" tab
2. Type some text set as this new style, save the file.
3. Re-open the file, note the font is no longer bold.
4. Repeat 1-3 in the same file to set it back to "Bold", note the problem repeats.

Actual Results:
Junicode font as a style is not Bold after set, closed, and reopened.

Expected Results:
Junicode font as a style should remain Bold after set, closed, and reopened.


Reproducible: Always


User Profile Reset: No



Additional Info:
I have no other bugs with this version of Writer. Here is an example file at GitHub:

https://github.com/JesseSteele/pdf-bug/raw/master/Paperback.doc
Comment 1 mulla.tasanim 2019-03-20 05:51:57 UTC
Hello

Thank you for reporting the bug. I can not reproduce the bug in

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


I have saved the file as .doc
Comment 2 Buovjaga 2019-04-20 14:29:50 UTC
Steps:
1. Download Junicode font https://sourceforge.net/projects/junicode/files/junicode/ and install Junicode.ttf and Junicode-Bold.ttf
2. In Writer, create new paragraph style, go to Font tab and change font to Junicode and style to Bold
3. Type some text and apply the style
4. Save as .doc OR .docx and reload

Repro already in 3.3.0 (Win 10)

The problem is not seen with .odt or other fonts with .doc/docx.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: b8f33d053c2cbf05872cf9ddfeff4cc302ee281f
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 20 April 2019